'use strict';

var merge = require('webpack-merge');

exports.onCreateBabelConfig = function (_ref) {
  var actions = _ref.actions;

  actions.setBabelPlugin({
    name: 'babel-plugin-react-native-web'
  });
};

exports.onCreateWebpackConfig = function (_ref2) {
  var actions = _ref2.actions,
      getConfig = _ref2.getConfig;

  var originalWebpackConfig = getConfig();

  var reactNativeWebConfig = {
    resolve: {
      extensions: ['.web.mjs', '.web.js', '.web.jsx', '.web.wasm', '.web.json', '.web.ts', '.web.tsx'],
      alias: {
        'react-native': 'react-native-web'
      }
    }
  };

  var newConfig = merge(reactNativeWebConfig, originalWebpackConfig);

  actions.replaceWebpackConfig(newConfig);
};